--- FreeRDP/libfreerdp/codec/h264_x264.c.orig	2018-11-09 21:38:35.994084777 +1100
+++ FreeRDP/libfreerdp/codec/h264_x264.c	2018-11-09 21:38:54.333477109 +1100
@@ -38,7 +38,7 @@
 #include <x264.h>
 #include <freerdp/codec/h264.h>
 
-#error "X264 backend not implemented, please review your configuration!"
+/* #error "X264 backend not implemented, please review your configuration!" */
 
 struct _H264_CONTEXT_X264
 {
--- FreeRDP/channels/urbdrc/client/libusb/libusb_udevice.c.orig	2018-11-13 15:11:09.660108755 +1100
+++ FreeRDP/channels/urbdrc/client/libusb/libusb_udevice.c	2018-11-13 15:12:40.441387402 +1100
@@ -1863,19 +1863,19 @@ static IUDEVICE* udev_init(UDEVICE* pdev
 	/* Denied list */
 	switch (interface_temp.bInterfaceClass)
 	{
-		case CLASS_RESERVE:
+		//case CLASS_RESERVE:
 
 		//case CLASS_COMMUNICATION_IF:
 		//case CLASS_HID:
 		//case CLASS_PHYSICAL:
-		case CLASS_MASS_STORAGE:
+		//case CLASS_MASS_STORAGE:
 		case CLASS_HUB:
 
 		//case CLASS_COMMUNICATION_DATA_IF:
-		case CLASS_SMART_CARD:
-		case CLASS_CONTENT_SECURITY:
-			//case CLASS_WIRELESS_CONTROLLER:
-			//case CLASS_ELSE_DEVICE:
+		//case CLASS_SMART_CARD:
+		//case CLASS_CONTENT_SECURITY:
+		//case CLASS_WIRELESS_CONTROLLER:
+		//case CLASS_ELSE_DEVICE:
 			WLog_ERR(TAG,  "    Device is not supported!!");
 			zfree(pdev);
 			return NULL;
--- FreeRDP/channels/urbdrc/ChannelOptions.cmake.orig	2018-11-13 15:13:02.514937063 +1100
+++ FreeRDP/channels/urbdrc/ChannelOptions.cmake	2018-11-13 14:58:24.628703749 +1100
@@ -1,6 +1,6 @@
 
 set(OPTION_DEFAULT OFF)
-set(OPTION_CLIENT_DEFAULT OFF)
+set(OPTION_CLIENT_DEFAULT ON)
 set(OPTION_SERVER_DEFAULT OFF)
 
 define_channel_options(NAME "urbdrc" TYPE "dynamic"
--- FreeRDP/client/X11/xf_monitor.c.orig	2018-11-14 13:45:44.244505336 +1100
+++ FreeRDP/client/X11/xf_monitor.c	2018-11-14 13:46:03.662669070 +1100
@@ -43,9 +43,9 @@
 #include <X11/extensions/Xrandr.h>
 #include <X11/extensions/randr.h>
 
-#if (RANDR_MAJOR * 100 + RANDR_MINOR) >= 105
+/* #if (RANDR_MAJOR * 100 + RANDR_MINOR) >= 105
 #	define USABLE_XRANDR
-#endif
+#endif */
 
 #endif
 
--- FreeRDP/cmake/FindSWScale.cmake.orig	2020-03-02 07:43:59.302102528 +1100
+++ FreeRDP/cmake/FindSWScale.cmake	2020-03-02 07:44:02.339959472 +1100
@@ -2,7 +2,7 @@
 include(FindPkgConfig)
 
 if (PKG_CONFIG_FOUND)
-	pkg_check_modules(SWScale swscale)
+	pkg_check_modules(SWScale libswscale)
 endif()
 
 find_path(SWScale_INCLUDE_DIR libswscale / swscale.h PATHS $ {SWScale_INCLUDE_DIRS})
